﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace Infragistics.Win.UltraWinGrid
{
	public static class UltraGridRowExtension
	{
		/// <summary>
		/// Returns the data value for a cell from the database
		/// </summary>
		/// <param name="row">The row contains the cell</param>
		/// <param name="columnName">The cell column name</param>
		/// <returns>The data value for a cell from the database</returns>
		public static object GetCellValue(this UltraGridRow row, string columnName)
		{
			return row.GetCellValue(row.Band.Columns[columnName]);
		}

		/// <summary>
		/// Returns the data value for a cell from the database
		/// </summary>
		/// <param name="row">The row contains the cell</param>
		/// <param name="columnIndex">The cell column index</param>
		/// <returns>The data value for a cell from the database</returns>
		public static object GetCellValue(this UltraGridRow row, int columnIndex)
		{
			return row.GetCellValue(row.Band.Columns[columnIndex]);
		}
	}
}